<?php
// $Id: token.inc,v 1.1.2.8 2008/12/08 22:19:27 jbrown Exp $

// Copyright 2007-2008 Jonathan Brown


function op_video_token_values($type, $object = NULL) {
  $values = array();

  if($type == 'field' || $type == 'all') {
    $video = _op_video_load($object[0]['video_id']);
    
    if($video) {

      $values['duration'] = $video['duration'] ? 
        format_interval($video['duration']) : '';
    
      $values['duration-raw'] = $video['duration'] ? 
        $video['duration'] : '';
    
      $values['views'] = ($video['flv_file'] != NULL) ? 
        $video['views'] . ' ' . format_plural($video['views'], 'view', 'views') : '';
    
      $values['views-raw'] = ($video['flv_file'] != NULL) ? 
        $video['views'] : '';
      
      $values['views_completed'] = ($video['flv_file'] != NULL) ? 
        $video['views_completed'] . ' complete ' . format_plural($video['views'], 'view', 'views') : '';
    
      $values['views_completed-raw'] = ($video['flv_file'] != NULL) ? 
        $video['views_completed'] : '';
      
      $values['downloads'] = $video['downloads'] . ' ' . format_plural($video['downloads'], 'download', 'downloads');
      $values['downloads-raw'] = $video['downloads'];
    
      $values['filename'] = $video['source_file']['filename'] ? 
        $video['source_file']['filename'] : '';
      
      $values['filemime'] = $video['source_file']['filemime'] ? 
        $video['source_file']['filemime'] : '';
    
      $values['filesize'] = $video['source_file']['filesize'] ?
        _op_video_format_bytesize($video['source_file']['filesize'], 2) : '';
    
      $values['filesize-raw'] = $video['source_file']['filesize'] ?
        $video['source_file']['filesize'] : '';
  
      $values['download'] = ($video['source_file'] && !$video['source_file']['deleted']) ? 
        l('Download', _op_video_download_path($video)) : '';

      $values['download-raw'] = ($video['source_file'] && !$video['source_file']['deleted']) ? 
        _op_video_download_path($video) : '';
    }
  }
  
  return $values;
}


function op_video_token_list($type = 'all') {
  $list = array();

  if($type == 'field' || $type == 'all') {
    $list['Video']['duration'] = t("Video duration (formatted)");
    $list['Video']['duration-raw'] = t("Video duration (raw value)");
    $list['Video']['views'] = t("Video views (formatted)");
    $list['Video']['views-raw'] = t("Video views (raw value)");
    $list['Video']['views_completed'] = t("Video views completed (formatted)");
    $list['Video']['views_completed-raw'] = t("Video views completed (raw value)");
    $list['Video']['downloads'] = t("Downloads of original video file (formatted)");
    $list['Video']['downloads-raw'] = t("Downloads of original video file (raw value)");
    $list['Video']['filename'] = t("Filename of original video file");
    $list['Video']['filemime'] = t("Media type of original video file");
    $list['Video']['filesize'] = t("Size of original video file (formatted)");
    $list['Video']['filesize-raw'] = t("Size of original video file (raw value)");
    $list['Video']['download'] = t("Download link for original video file (html)");
    $list['Video']['download-raw'] = t("Download link for original video file (raw url)");
  }

  return $list;
}

